cURL
curl --request GET \
--url https://riona.ai/api/1.1/wf/tracked-posts-checker \
--header 'Authorization: Bearer <token>'import requests
url = "https://riona.ai/api/1.1/wf/tracked-posts-checker"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://riona.ai/api/1.1/wf/tracked-posts-checker', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": {
"code": 200,
"message": "ok"
},
"profile": {
"masterID": "1755785276716x970846411068844200",
"platform": "instagram",
"profileURL": "https://instagram.com/therock"
},
"trackedMonths": [
{
"month": "2025-09-01",
"monthShort": "Sep 2025",
"monthISO": "2025-09-01T00:00:00.000Z",
"type": "posts",
"postsCount": 8
},
{
"month": "2025-04-01",
"monthShort": "Apr 2025",
"monthISO": "2025-04-01T00:00:00.000Z",
"type": "posts",
"postsCount": 14
},
{
"month": "2025-04-01",
"monthShort": "Apr 2025",
"monthISO": "2025-04-01T00:00:00.000Z",
"type": "stories",
"postsCount": 0
},
{
"month": "2025-04-01",
"monthShort": "Apr 2025",
"monthISO": "2025-04-01T00:00:00.000Z",
"type": "mentions",
"postsCount": 0
}
]
}
Other
Check Tracked Posts
Review which monthly posts we track for any user across platforms. If you want to access a user’s posts, first check the months already tracked and available for use with the Get Post Details endpoint.
GET
/
wf
/
tracked-posts-checker
cURL
{
"status": {
"code": 200,
"message": "ok"
},
"profile": {
"masterID": "1755785276716x970846411068844200",
"platform": "instagram",
"profileURL": "https://instagram.com/therock"
},
"trackedMonths": [
{
"month": "2025-09-01",
"monthShort": "Sep 2025",
"monthISO": "2025-09-01T00:00:00.000Z",
"type": "posts",
"postsCount": 8
},
{
"month": "2025-04-01",
"monthShort": "Apr 2025",
"monthISO": "2025-04-01T00:00:00.000Z",
"type": "posts",
"postsCount": 14
},
{
"month": "2025-04-01",
"monthShort": "Apr 2025",
"monthISO": "2025-04-01T00:00:00.000Z",
"type": "stories",
"postsCount": 0
},
{
"month": "2025-04-01",
"monthShort": "Apr 2025",
"monthISO": "2025-04-01T00:00:00.000Z",
"type": "mentions",
"postsCount": 0
}
]
}
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Quickly review which monthly posts we track for any user across platforms. If you want to access a user’s posts, first check if the months already being tracked and available for use with the Get Post Details endpoint.
This is your account API Key. You can easily locate it in your account dashboard.
Response
200
OK
⌘I